Get Non-Security Job Details

Look up one non-security, firmware, rollback, or reboot job in Saner PM.

Get Non-Security Job Details.
This method fetches the details of a non-security remediation, firmware, rollback and reboot jobs in Saner PM. Details such as schedule, start time, end time, startwindowtime, remtype, startmessage, and endmessage are fetched.

KeyMeaningMandatoryData Type
nameName of the jobYesstring
accountidAccount identifierYesstring
Python SDK code

Install:

pip install secpod-saner-sdk

Call this endpoint:

from saner.cvem import CvemClient

client = CvemClient(
    api_key="<YOUR_API_KEY>",
    accountid="<YOUR_ACCOUNT_ID>",
    base_url="https://saner.secpod.com"
)

response=client.Patch.getNonSecurityJobDetails(
  accountid="Demo Account",
  name="demo job"
)

print(response)
client.close()

Requires Python 3.9 or later.

Query Params
string
required

Account name used to identify the User

Body Params
request
object
Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json